For the complete documentation index, see llms.txt. This page is also available as Markdown.

Contracts

On-chain contract data including servers, POIs, and denylists

Get catalyst servers

get
/contracts/servers

Returns the list of catalyst servers from the DAO contract

Responses
200

List of catalyst servers

application/json
get/contracts/servers
GET /lambdas/contracts/servers HTTP/1.1
Host: peer.decentraland.org
Accept: */*
200

List of catalyst servers

{
  "servers": [
    {
      "address": "text",
      "owner": "text",
      "id": "text"
    }
  ]
}

Get Points of Interest

get
/contracts/pois

Returns the list of POIs (Points of Interest) from the DAO contract

Responses
200

List of POIs

application/json
get/contracts/pois
GET /lambdas/contracts/pois HTTP/1.1
Host: peer.decentraland.org
Accept: */*
200

List of POIs

{
  "pois": [
    {
      "x": 1,
      "y": 1,
      "name": "text",
      "description": "text"
    }
  ]
}

Get denylisted names

get
/contracts/denylisted-names

Returns the list of names that are not allowed in Decentraland

Responses
200

List of denylisted names

application/json
denylistedNamesstring[]Optional
get/contracts/denylisted-names
GET /lambdas/contracts/denylisted-names HTTP/1.1
Host: peer.decentraland.org
Accept: */*
200

List of denylisted names

{
  "denylistedNames": [
    "text"
  ]
}

Last updated